#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "test_cfg_global.h"
#include "tau_log.h"
#include "hal_system.h"
#include "board.h"

int main()
{
    board_Init();

    while (1)
    {
#if _DEMO_DSI_TX_EN
        demo_dsi_tx_case();
#endif
#if _DEMO_DSI_RX_EN
        demo_hal_dsi_rx_case();
#endif
#if _DEMO_TIMER_EN
        demo_timer_case();
#endif
#if _DEMO_WDG_EN
        demo_wdg_case();
#endif
#if _DEMO_GPIO_EN
        demo_gpio_case();
#endif
#if _DEMO_PWM_EN
        demo_pwm_case();
#endif
#if _DEMO_SWIRE_EN
        demo_swire_case();
#endif

#if _DEMO_I2C_EN
        demo_hal_i2c();
#endif

#if _DEMO_SPI_EN
        demo_hal_spi();
#endif

#if _DEMO_S8_EN
        s8_demo();
#endif

#if _DEMO_S8P_EN
        s8p_demo();
#endif

#if _DEMO_S9_EN
        s9_demo();
#endif

#if _DEMO_MI8SE_EN
		ap_demo();
#endif

        while (1);
    }
}
